hOpenPGP-2.10.1: native Haskell implementation of OpenPGP (RFC4880)

Safe Haskell | Safe-Inferred
Language | Haskell2010

Data.Conduit.OpenPGP.Filter

# Documentation

conduitPktFilter :: Monad m => FilterPredicates Void Pkt -> ConduitT Pkt Pkt m () Source #

conduitPktWithExtraFilter :: Monad m => r -> FilterPredicates r Pkt -> ConduitT Pkt Pkt m () Source #

conduitTKFilter :: Monad m => FilterPredicates Void TK -> ConduitT TK TK m () Source #

data FilterPredicates r a Source #

Constructors

RTKFilterPredicate (Reader TK Bool) | fp for transferable keys
RPFilterPredicate (Reader Pkt Bool) | fp for context-less packets
RFilterPredicate (Reader a Bool) | generic filter predicate
RPairFilterPredicate (Reader (r, a) Bool) | generic filter predicate with additional context